Subject: bug#10320: 23.3.50; line numbering in fortran-mode

From: Paul Indelicato <[email-masked]>
Date: Sat, 24 Dec 2011 14:14:33 +0100

Hi!
Thanks for your messages and help!
Since I saw your mails, I deleted all preference files for aquamacs I could find, removed all old xemacs or emacs configuration files… No luck, I still have the correct behavior for the previous 2.3a version, and the wrong one for the 2.4.
I tried to change background color, to turn on line highlighting or numbering… None of this worked.
The labels are clearly there but on white upon white… Only when the cursor in blinking in the column do I see in alternate white upon the cursor color (red) the value in that column.
Everything goes back to normal as soon as I go back to use the previous version :
> 
> Aquamacs is a distribution of GNU Emacs that is adapted for Mac users.
> 
> GNU Emacs 23.3.50.1 (i386-apple-darwin9.8.0, NS apple-appkit-949.54)
>  of 2011-08-04 on braeburn.aquamacs.org - Aquamacs Distribution 2.3a
> Copyright (C) 2011 Free Software Foundation, Inc.
> 
while the new one has:
> Aquamacs is a distribution of GNU Emacs that is adapted for Mac users.
> 
> GNU Emacs 23.3.50.1 (i386-apple-darwin9.8.0, NS apple-appkit-949.54)
>  of 2011-10-25 on braeburn.aquamacs.org - Aquamacs Distribution 2.4
> Copyright (C) 2011 Free Software Foundation, Inc.
> 

I wish you a Merry  Christmas!!

Le 19 déc. 2011 à 07:38, David Reitter a écrit :

> On Dec 19, 2011, at 1:37 AM, Glenn Morris wrote:
>> 
>> Sorry, the original message is a wodge of html that my client cannot
>> sensibly quote.
> 
> The original bug report contained two screenshots; perhaps they got mangled.
> 
>> Anyway, I cannot reproduce this in GNU Emacs on GNU/Linux using either
>> Emacs 23.3 or the current trunk, starting from `emacs -Q'. So I imagine
>> the problem is either NS or Aquamacs specific.
> 
> Pity.  That seemed unlikely, which is why I forwarded it.
> 
> I know nothing about Fortran mode and was hoping someone could tell from the description what was going on.
> 
>> The following information looks suspicious:
>> 
>>> Unable to load color "dark cyan" [2 times]
>>> Mark set [2 times]
>>> Choose Font for f90-mode-default face.
>>> Font set for f90-mode-default face. [3 times]
>>> Unable to load color "dark cyan"
>>> byte-code: End of buffer [6 times]
>>> byte-code: End of bufferUnable to load color "dark cyan"
>> 
>> I have no idea where this is coming from, it seems non-standard.
> 
> AFAIK, the error message regarding color is due to a previous version (perhaps the old Emacs.app) generating a Emacs.clr color table, which is still loaded upon startup.  This table now prevents newer Emacsen from using a more complete color table.  Many color themes using "dark cyan" suffer from the situation. Users would have to find and delete the file in order to make it work again.  I think this has nothing to do with the problem at hand.
> 
> (The font-setting messages come from a minor mode that ships with Aquamacs, and they are normal.)

_______________________________________________

Paul Indelicato,